<ion-header no-border>
  <ion-navbar color="danger">
    <ion-title center>
      {{ 'library' | translate }}
    </ion-title>
    <ion-buttons end>
      <button (click)="menu()" ion-button icon-only>
        <ion-icon name="menu"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>
<ion-content
  style="background: #42275a; /* fallback for old browsers */
  background: -webkit-linear-gradient(to top, #000,#42275a, #734b6d); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to top,#000, #42275a, #734b6d);text-align: center"
>
  <ion-item
    *ngIf="fav.fol.length > 0"
    style="background-color: transparent;color: azure;text-align: center"
    no-lines
    >{{ 'mix' | translate }}</ion-item
  >

  <ion-scroll *ngIf="fav.fol.length > 0" scrollX style="height:200px;">
    <div
      [hidden]="fav.allpopular.length > 0"
      class="scroll-item"
      style="text-align: center;margin:10px"
    >
      <ion-spinner
        icon="lines"
        style="width:120px;height:120px;color: white;text-align: center"
      ></ion-spinner>
      <p style="color:azure">Loading...</p>
    </div>
    <div
      class="scroll-item"
      *ngFor="let artist of fav.allpopular; let i = index"
      [hidden]="i >= 50"
      (click)="playmix(i)"
      style="text-align: center;margin:10px;width: 120px"
    >
      <img-loader useImg class="shadow" src="{{ artist.art }}"></img-loader>
      <p style="color:azure;text-overflow: ellipsis;overflow: hidden">
        {{ artist.title }}
      </p>
      <p style="color:darkgray;margin-top:-10px;color:azure;font-size: 80%">
        {{ artist.artistName }}
      </p>
    </div>
  </ion-scroll>

  <ion-list no-lines style="background-color: transparent">
    <ion-item
      block
      clear
      style="background-color: transparent;color:white"
      tappable
      (click)="openPlayList()"
    >
      <h2>{{ 'playlists' | translate }}</h2>
      <ion-icon name="list" style="opacity: 0.5" item-right></ion-icon>
    </ion-item>

    <hr />

    <ion-item
      block
      clear
      (click)="favorites()"
      style="background-color: transparent;color:white"
    >
      <h2>{{ 'favorites' | translate }}</h2>
      <ion-icon name="heart" style="opacity: 0.5" item-right></ion-icon>
    </ion-item>
    <hr />

    <ion-item
      (click)="favArtist()"
      block
      clear
      style="background-color: transparent;color:white"
    >
      <h2>{{ 'favoriteartists' | translate }}</h2>
      <ion-icon name="star" style="opacity: 0.5" item-right></ion-icon>
    </ion-item>

    <ion-item
      *ngIf="tracks"
      style="background-color: transparent;color:white"
    ></ion-item>
  </ion-list>
</ion-content>

<ion-footer
  style="background: #42275a; /* fallback for old browsers */
  background: -webkit-linear-gradient(to top,#000,#42275a); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to top, #000,#42275a);border: none"
>
  <div
    *ngIf="tracks"
    style="height: 3px;z-index: 9999;background-color:#faa74a"
    [style.width.%]="musicservice.progress()"
  ></div>
  <ion-row *ngIf="tracks">
    <ion-col col-8 (click)="player()">
      <button ion-button clear block style="color: white;">
        <div class="marquee">
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
        </div>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <audio-track-play light [audioTrack]="tracks"> </audio-track-play>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <button (click)="next()" ion-button clear style="color:white" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-footer>
